/* Patternfly CSS places a "bg-login.jpg" as the background on this ".login-pf" class.
   This clashes with the "keycloak-bg.png' background defined on the body below.
   Therefore the Patternfly background must be set to none. */
@import url("https://fonts.googleapis.com/css2?family=Lato&display=swap");

:root {
  --ifm-transition-fast: 200ms;
  --ifm-transition-timing-default: cubic-bezier(0.08, 0.52, 0.52, 1);
  --ifm-navbar-link-hover-color: #87b9c3;
  --ifm-color-primary: #107386;
  --ifm-color-emphasis-200: var(--ifm-color-gray-200);
}

body {
  --pf-global--primary-color--100: #107386;
  --pf-c-form-control--BorderBottomColor: #8A8D90;
  --pf-c-form-control--focus--BorderBottomWidth: 1px;
  font-family: "Lato";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.navbar-right > a {
  color: #122E45;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 5px;
  font-size: 16px;
}

.navbar-right svg {
  height: 1em;
  width: 1em;
}

.navbar-right {
  margin-right: 0;
  display: flex;
  flex-direction: row;
  gap: 2em;
}

.navbar {
  padding: 9px 35px;
  padding-bottom: 4.5px;
  margin: 0;
  min-height: max-content;
}

.navbar-left {
  margin-left: 0;
  font-weight: 700;
  font-size: 16px;
  color: #122E45;
}

.row {
  margin: 0;
  display: flex;
  justify-content: space-evenly;
  margin-top: 8px;
  font-size: 16px;
}

#kc-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 24px;
}

#contact__items {
  display: grid;
  grid-template-columns: auto auto;
  gap: 2px;
}

#partners__items {
  display: flex;
  flex-direction: column-reverse;
}

#lincs__email {
  grid-column: span 2;
}

.footer__links {
  display: flex;
  flex-direction: row;
  margin-top: 20px;
  justify-content: space-between;
  gap: 120px;
}

.footer__items {
  margin-bottom: 0px;
}

.footer__item, .footer__title {
  color: #122E45;
  margin-bottom: 2px;
}

.footer__title {
  font-size: 16px;
  font-weight: 700;
}

.footer__item {
  font-size: 14px;
}

.footer__item .footer__link-item {
  font-size: 14px;
  color: var(--ifm-color-primary);
}

.footer__link-item:hover {
  text-decoration: underline;
}

.social-icon > a > svg {
  height: 2.5em;
  width: 2.5em;
}

.social-icon > a > svg > path {
  transition: fill var(--ifm-transition-fast) var(--ifm-transition-timing-default);
}

.social-icon > a > svg > path:hover {
  fill: var(--ifm-navbar-link-hover-color)
}


li:has(div.social-icon) {
    display: flex;
    gap: 0.5rem;
}

#innovation__item a {
  color: black;
}

#innovation__item a:hover {
  color: var(--ifm-navbar-link-hover-color)
}

.land-acknowledgement {
  display: flex;
  justify-content: center;
  font-size: 14px;
  font-weight: 500;
  color: #122E45;
  /* background: linear-gradient(178.65deg, #F0F3F7 1.17%, #CAD5DE 98.89%); */
  text-align: center;
  padding: 0.5rem 16rem;
}

.login-pf {
  background: none;
  padding: 0;
}

.login-pf body {
  /* background: linear-gradient(178.65deg, #F0F3F7 1.17%, #CAD5DE 98.89%); */
  background: linear-gradient(266.65deg, #F0F3F7 1.17%, #CAD5DE 98.89%);
  height: 100%;
}

#kc-registration {
  font-size: 14px;
}

#kc-registration a, .login-pf-settings > div > span > a {
  font-size: 14px;
  text-decoration: none;
  color: var(--ifm-color-primary);
}

#kc-registration a:hover {
  color: var(--ifm-navbar-link-hover-color);
}

textarea.pf-c-form-control {
  height: auto;
}

.pf-c-alert__title {
  font-size: var(--pf-global--FontSize--xs);
}

p.instruction {
  margin: 5px 0;
}

.pf-c-button.pf-m-control {
  border: solid var(--pf-global--BorderWidth--sm);
  border-color: rgba(230, 230, 230, 0.5);
}

.pf-c-button.pf-m-primary {
  background-color: var(--ifm-color-primary);
  transition: background-color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
}

.pf-c-button.pf-m-primary:hover {
  background-color: #0c5c6b;
}

h1#kc-page-title {
  margin-top: 8px;
  font-size: 18px;
}

#kc-locale ul {
  background-color: var(--pf-global--BackgroundColor--100);
  display: none;
  top: 20px;
  min-width: 100px;
  padding: 0;
}

#kc-locale-dropdown {
  display: inline-block;
}

#kc-locale-dropdown:hover ul {
  display: block;
}

#kc-locale-dropdown a {
  color: var(--pf-global--Color--200);
  text-align: right;
  font-size: var(--pf-global--FontSize--sm);
}

a#kc-current-locale-link::after {
  content: "\2c5";
  margin-left: var(--pf-global--spacer--xs)
}

.login-pf .container {
  padding-top: 40px;
}

.login-pf a {
  transition: color var(--ifm-transition-fast) var(--ifm-transition-timing-default);
  text-decoration: none;
}

.login-pf a:hover {
  color: var(--ifm-navbar-link-hover-color);
}

#kc-logo {
  width: 100%;
}

div.kc-logo-text {
  background-image: url(../img/LINCS-English-dark.png);
  background-repeat: no-repeat;
  height: 80.5px;
  width: 200px;
  margin: 0 auto;
  margin-bottom: 20px;
  background-size: contain;
}


div.kc-logo-text span {
  display: none;
}

#kc-header {
  color: #ededed;
  overflow: visible;
  white-space: nowrap;
  margin: 0;
}

#kc-header-wrapper {
  padding: 4px;
  font-size: 29px;
  text-transform: uppercase;
  letter-spacing: 3px;
  line-height: 1.2em;
  /* padding: 62px 10px 20px; */
  white-space: normal;
}

#kc-content {
  width: 100%;
}

#kc-attempted-username {
  font-size: 20px;
  font-family: inherit;
  font-weight: normal;
  padding-right: 10px;
}

#kc-username {
  text-align: center;
  margin-bottom: -10px;
}

#kc-webauthn-settings-form {
  padding-top: 8px;
}

#kc-form-webauthn .select-auth-box-parent {
  pointer-events: none;
}

#kc-form-webauthn .select-auth-box-desc {
  color: var(--pf-global--palette--black-600);
}

#kc-form-webauthn .select-auth-box-headline {
  color: var(--pf-global--Color--300);
}

#kc-form-webauthn .select-auth-box-icon {
  flex: 0 0 3em;
}

#kc-form-webauthn .select-auth-box-icon-properties {
  margin-top: 10px;
  font-size: 1.8em;
}

#kc-form-webauthn .select-auth-box-icon-properties.unknown-transport-class {
  margin-top: 3px;
}

#kc-form-webauthn .pf-l-stack__item {
  margin: -1px 0;
}

#kc-form-wrapper {
  margin-top: 10px;
}

#kc-info {
  margin: 20px -40px -30px;
}

#kc-info-wrapper {
  font-size: 14px;
  padding: 15px 35px;
  background-color: #F0F0F0;
}

#kc-form-options span {
  display: block;
}

#kc-form-options a {
  color: var(--ifm-color-primary);
  font-size: 14px;
}

#kc-form-options .checkbox {
  font-size: 14px;
}

#kc-form-options > div > span > a:hover {
  color: var(--ifm-navbar-link-hover-color);
}

#kc-form-options .checkbox {
  margin-top: 0;
  color: #72767b;
}

#kc-terms-text {
  margin-bottom: 20px;
}

#kc-registration {
  margin-bottom: 0;
}

/* TOTP */

.subtitle {
  text-align: right;
  margin-top: 30px;
  color: #909090;
}

.required {
  color: var(--pf-global--danger-color--200);
}

ol#kc-totp-settings {
  margin: 0;
  padding-left: 20px;
}

ul#kc-totp-supported-apps {
  margin-bottom: 10px;
}

#kc-totp-secret-qr-code {
  max-width: 150px;
  max-height: 150px;
}

#kc-totp-secret-key {
  background-color: #fff;
  color: #333333;
  font-size: 16px;
  padding: 10px 0;
}

/* OAuth */

#kc-oauth h3 {
  margin-top: 0;
}

#kc-oauth ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#kc-oauth ul li {
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  font-size: 12px;
  padding: 10px 0;
}

#kc-oauth ul li:first-of-type {
  border-top: 0;
}

#kc-oauth .kc-role {
  display: inline-block;
  width: 50%;
}

/* Code */
#kc-code textarea {
  width: 100%;
  height: 8em;
}

/* Social */
.kc-social-links {
  margin-top: 20px;
}

.kc-social-provider-logo {
  font-size: 23px;
  width: 30px;
  height: 25px;
  float: left;
}

.kc-social-gray {
  color: var(--pf-global--Color--200);
}

.kc-social-item {
  margin-bottom: var(--pf-global--spacer--sm);
  font-size: 15px;
  text-align: center;
}

.kc-social-provider-name {
  position: relative;
  top: 3px;
}

.kc-social-icon-text {
  left: -15px;
}

.kc-social-grid {
  display: grid;
  grid-column-gap: 10px;
  grid-row-gap: 5px;
  grid-column-end: span 6;
  --pf-l-grid__item--GridColumnEnd: span 6;
}

.kc-social-grid .kc-social-icon-text {
  left: -10px;
}

.kc-login-tooltip {
  position: relative;
  display: inline-block;
}

.kc-social-section {
  text-align: center;
}

.kc-social-section hr {
  margin-bottom: 10px
}

.kc-login-tooltip .kc-tooltip-text {
  top: -3px;
  left: 160%;
  background-color: black;
  visibility: hidden;
  color: #fff;

  min-width: 130px;
  text-align: center;
  border-radius: 2px;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.6);
  padding: 5px;

  position: absolute;
  opacity: 0;
  transition: opacity 0.5s;
}

/* Show tooltip */
.kc-login-tooltip:hover .kc-tooltip-text {
  visibility: visible;
  opacity: 0.7;
}

/* Arrow for tooltip */
.kc-login-tooltip .kc-tooltip-text::after {
  content: " ";
  position: absolute;
  top: 15px;
  right: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent black transparent transparent;
}

@media (min-width: 768px) {
  #kc-container-wrapper {
    position: absolute;
    width: 100%;
  }

  .login-pf .container {
    padding-right: 80px;
  }

  #kc-locale {
    position: relative;
    text-align: right;
    z-index: 9999;
  }
}

@media (max-width: 767px) {

  .login-pf body {
    background: white;
  }

  #kc-header {
    padding-left: 15px;
    padding-right: 15px;
    float: none;
    text-align: left;
  }

  #kc-header-wrapper {
    font-size: 16px;
    font-weight: bold;
    padding: 20px 60px 0 0;
    color: #72767b;
    letter-spacing: 0;
  }

  div.kc-logo-text {
    margin: 0;
    width: 117px;
    height: 25px;
    background-size: 100%;
  }

  #kc-form {
    float: none;
  }

  #kc-info-wrapper {
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    background-color: transparent;
  }

  .login-pf .container {
    padding-top: 15px;
    padding-bottom: 15px;
  }

  #kc-locale {
    position: absolute;
    width: 200px;
    top: 20px;
    right: 20px;
    text-align: right;
    z-index: 9999;
  }
}

@media (min-height: 646px) {
  #kc-container-wrapper {
    bottom: 12%;
  }
}

@media (max-height: 645px) {
  #kc-container-wrapper {
    padding-top: 50px;
    top: 20%;
  }
}

.card-pf form.form-actions .btn {
  float: right;
  margin-left: 10px;
}

#kc-form-buttons {
  margin-top: 20px;
}

.login-pf-page .login-pf-brand {
  margin-top: 20px;
  max-width: 360px;
  width: 40%;
}

.select-auth-box-arrow {
  display: flex;
  align-items: center;
  margin-right: 2rem;
}

.select-auth-box-icon {
  display: flex;
  flex: 0 0 2em;
  justify-content: center;
  margin-right: 1rem;
  margin-left: 3rem;
}

.select-auth-box-parent {
  border-top: 1px solid var(--pf-global--palette--black-200);
  padding-top: 1rem;
  padding-bottom: 1rem;
  cursor: pointer;
}

.select-auth-box-parent:hover {
  background-color: #f7f8f8;
}

.select-auth-container {
  padding-bottom: 0px !important;
}

.select-auth-box-headline {
  font-size: var(--pf-global--FontSize--md);
  color: var(--pf-global--primary-color--100);
  font-weight: bold;
}

.select-auth-box-desc {
  font-size: var(--pf-global--FontSize--sm);
}

.select-auth-box-paragraph {
  text-align: center;
  font-size: var(--pf-global--FontSize--md);
  margin-bottom: 5px;
}

.card-pf {
  margin: 0 auto;
  max-width: 400px;
  filter: drop-shadow(2px 4px 6px rgba(0, 0, 0, 0.15));
}

/*phone*/
@media (max-width: 767px) {
  .login-pf-page .card-pf {
    max-width: none;
    margin-left: 0;
    margin-right: 0;
    padding-top: 0;
    border-top: 0;
    box-shadow: 0 0;
  }

  .kc-social-grid {
    grid-column-end: 12;
    --pf-l-grid__item--GridColumnEnd: span 12;
  }

  .kc-social-grid .kc-social-icon-text {
    left: -15px;
  }
}

.login-pf-page .login-pf-signup {
  font-size: 15px;
  color: #72767b;
}

#kc-content-wrapper .row {
  margin-left: 0;
  margin-right: 0;
}

.login-pf-page.login-pf-page-accounts {
  margin-left: auto;
  margin-right: auto;
}

.login-pf-page .btn-primary {
  margin-top: 0;
}

.login-pf-page .list-view-pf .list-group-item {
  border-bottom: 1px solid #ededed;
}

.login-pf-page .list-view-pf-description {
  width: 100%;
}

#kc-form-login div.form-group:last-of-type,
#kc-register-form div.form-group:last-of-type,
#kc-update-profile-form div.form-group:last-of-type,
#kc-update-email-form div.form-group:last-of-type {
  margin-bottom: 0px;
}

.form-group {
  color: black;
}

.form-group label {
  font-size: 14px;
}

.no-bottom-margin {
  margin-bottom: 0;
}

#kc-back {
  margin-top: 5px;
}

/* Recovery codes */
.kc-recovery-codes-warning {
  margin-bottom: 32px;
}

.kc-recovery-codes-warning .pf-c-alert__description p {
  font-size: 0.875rem;
}

.kc-recovery-codes-list {
  list-style: none;
  columns: 2;
  margin: 16px 0;
  padding: 16px 16px 8px 16px;
  border: 1px solid #D2D2D2;
}

.kc-recovery-codes-list li {
  margin-bottom: 8px;
  font-size: 11px;
}

.kc-recovery-codes-list li span {
  color: #6A6E73;
  width: 16px;
  text-align: right;
  display: inline-block;
  margin-right: 1px;
}

.kc-recovery-codes-actions {
  margin-bottom: 24px;
}

.kc-recovery-codes-actions button {
  padding-left: 0;
}

.kc-recovery-codes-actions button i {
  margin-right: 8px;
}

.kc-recovery-codes-confirmation {
  align-items: baseline;
  margin-bottom: 16px;
}

/* End Recovery codes */

#kc-form-intro {
  text-align: center;
  font-size: larger;
}